<app-page-form>
  <ng-container ngProjectAs="[page-form-content]">
    <h1>
      {{ 'admin.season.edit.seo.' + mode.toString().toLocaleLowerCase() + '.title' | translate }}
    </h1>
    <p>
      {{ 'admin.season.edit.seo.' + mode.toString().toLocaleLowerCase() + '.description' | translate }}
    </p>

    <form [formGroup]="formGroup"
          #form="ngForm" (ngSubmit)="formGroup.valid && save()">
      <mat-form-field>
        <mat-label>
          {{ 'admin.season.edit.form.name' | translate }}
        </mat-label>
        <input matInput name="name" formControlName="name"/>
        <mat-error *ngIf="formGroup.controls.name.errors?.required">
          {{ 'admin.common.validation.required' | translate }}
        </mat-error>
      </mat-form-field>
      <mat-form-field>
        <mat-label>
          {{ 'admin.season.edit.form.startDate' | translate }}
        </mat-label>
        <input matInput name="startDate" formControlName="startDate"
               [matDatepicker]="startDatePicker">
        <mat-datepicker-toggle [for]="startDatePicker" matSuffix></mat-datepicker-toggle>
        <mat-datepicker #startDatePicker [startAt]="formGroup.value.startDate || formGroup.value.endDate && moment(formGroup.value.endDate)?.add(-1, 'year').add(1, 'day')"></mat-datepicker>
        <mat-error *ngIf="formGroup.controls.startDate.errors?.required">
          {{ 'admin.common.validation.required' | translate }}
        </mat-error>
      </mat-form-field>
      <mat-form-field>
        <mat-label>
          {{ 'admin.season.edit.form.endDate' | translate }}
        </mat-label>
        <input matInput name="endDate" formControlName="endDate"
               [matDatepicker]="endDatePicker">
        <mat-datepicker-toggle [for]="endDatePicker" matSuffix></mat-datepicker-toggle>
        <mat-datepicker #endDatePicker [startAt]="formGroup.value.endDate || formGroup.value.startDate && moment(formGroup.value.startDate)?.add(1, 'year').add(-1, 'day')"></mat-datepicker>
        <mat-error *ngIf="formGroup.controls.endDate.errors?.required">
          {{ 'admin.common.validation.required' | translate }}
        </mat-error>
      </mat-form-field>
      <mat-checkbox name="isCurrent" formControlName="isCurrent">
        {{ 'admin.season.edit.form.isCurrent' | translate }}
      </mat-checkbox>
    </form>
  </ng-container>
  <ng-container ngProjectAs="[page-form-footer]">
    <a mat-stroked-button color="accent"
       [routerLink]="previousRouteCommands?.commands"
       [queryParams]="previousRouteCommands?.queryParams">
      <mat-icon>
        cancel
      </mat-icon>
      {{ 'admin.common.action.cancel' | translate }}
    </a>
    <app-async-button [loading]="loading.save">
      <button mat-flat-button color="primary" (click)="form.onSubmit($event)">
        <mat-icon>
          save
        </mat-icon>
        {{ 'admin.common.action.save' | translate }}
      </button>
    </app-async-button>
  </ng-container>
</app-page-form>
